trueprint_5.4-1_i386.deb


Advertisement

Description

trueprint - pretty printing of source code

Distribution: Ubuntu 16.04 LTS (Xenial Xerus)
Repository: Ubuntu Universe i386
Package name: trueprint
Package version: 5.4
Package release: 1
Package architecture: i386
Package type: deb
Installed size: 169 B
Download size: 56.73 KB
Official Mirror: archive.ubuntu.com
This program generates a pretty output of source codes in many programming languages. The result could be printed or written to a Postscript file. The following programming languages are supported: * C * C++ * Java * Pascal * Perl * Pike * Sh (Shell) * Verilog

Alternatives

Requires

    Download

    Binary package: trueprint_5.4-1_i386.deb
    Source package: trueprint

    Install Howto

    1. Update the package index:
      # sudo apt-get update
    2. Install trueprint deb package:
      # sudo apt-get install trueprint

    Files

    • /usr/bin/trueprint
    • /usr/share/doc/trueprint/README.Debian
    • /usr/share/doc/trueprint/changelog.Debian.gz
    • /usr/share/doc/trueprint/copyright
    • /usr/share/info/trueprint.info.gz
    • /usr/share/lintian/overrides/trueprint
    • /usr/share/man/man1/trueprint.1.gz

    Changelog

    2014-10-18 - Andreas Beckmann <anbe@debian.org> trueprint (5.4-1) unstable; urgency=medium * QA upload. * Set Maintainer to QA Group. (See #747965) * New upstream release. * Switch to source format 3.0 (quilt) and get rid of dpatch. * Switch to debhelper 9 and minimal dh based rules. * Use dh_autoreconf. * Bump Standards-Version to 3.9.6, no changes needed. * Rewrite d/copyright. * Add Vcs-* URLs: packaging imported into GIT.

    2014-01-18 - Andreas Beckmann <anbe@debian.org> trueprint (5.3-4.1) unstable; urgency=medium * Non-maintainer upload. * Get rid of install-info calls in maintainer scripts. (Closes: #708500) * Forcefully truncate lines exceeding MAXLINELENGTH. (Closes: #729278) * Fix typo in description. (Closes: #406654) * Use Homepage field. (Closes: #615335)

    2006-09-21 - Henrique Haas <medelin@gnoia.org> trueprint (5.3-4) unstable; urgency=low * New maintainer (Closes: #374128)

    2006-07-06 - Michael Ablassmeier <abi@debian.org> trueprint (5.3-3) unstable; urgency=low * QA Upload * Set Maintainer to QA Group (Orphaned, #374128) * Higher Compat level, build depend on at least debhelper 4.0.0 * Small update for debian/rules

    2002-07-13 - Othmar Pasteka <othmar@debian.org> trueprint (5.3-2) unstable; urgency=low * Officially close the missing Build-Depends: bug. Closes: #150792; * Added descriptions of supported programming languages. Closes: #115889;

    2001-07-12 - Othmar Pasteka <othmar@debian.org> trueprint (5.3-1) unstable; urgency=low * New upstream release; * Added the two new options to the man page

    2000-09-11 - Othmar Pasteka <othmar@debian.org> trueprint (5.2.1-5) unstable; urgency=low * added Build-Depends: debhelper

    2000-07-25 - Othmar Pasteka <othmar@debian.org> trueprint (5.2.1-4) unstable; urgency=low * changed maintainer field to othmar@debian.org

    2000-03-20 - Othmar Pasteka <pasteka@kabsi.at> trueprint (5.2.1-3) unstable; urgency=low * the change in configure.in make the Build-Depends control field obsolete (see also the 5.2.1-2 entry below) * removed the suggestion of diff (because it's in base, that's why it is already installed) * add suggestion of lpr instead of a recommendation of it (as suggested in #54279)

    2000-03-20 - Othmar Pasteka <pasteka@kabsi.at> trueprint (5.2.1-2) unstable; urgency=low * configure.in changed to just produce a warning if lpr is missing instead of aborting the configure run (Closes #54279; which was closed in a not satisfying way in 5.1-2 so, now a new, proposed solution by the submitter was taken to fix this)

    Advertisement
    Advertisement